petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoGetDualVariables

Gets pointers to the dual vectors

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetDualVariables(Tao tao, Vec *DE, Vec *DI)

Collective on Tao

### Input Parameters

tao -the Tao context

### Output Parameter

| DE | - dual variable vector for the lower bounds
| DI | - dual variable vector for the upper bounds

### See Also

TaoComputeDualVariables()

Level:advanced
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html